Bug 461599 - (CVE-2008-3964) CVE-2008-3964 libpng: off-by-one error in png_push_read_zTXt()
CVE-2008-3964 libpng: off-by-one error in png_push_read_zTXt()
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=oss-security,reported=20080909...
: Security
Depends On: 461620
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-09 07:47 EDT by Tomas Hoger
Modified: 2016-03-04 07:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-10 03:33:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-09-09 07:47:09 EDT
libpng upstream version 1.2.32beta01 fixes an insufficient memory allocation flaw in the "png_push_read_zTXt()" function in pngpread.c, that results in a write of once null byte past the end of allocated buffer.

References:
http://sourceforge.net/project/shownotes.php?release_id=624518
http://www.openwall.com/lists/oss-security/2008/09/09/3

Upstream bug report:
http://sourceforge.net/tracker/index.php?func=detail&aid=2095669&group_id=5624&atid=105624

As noted in the upstream bug report, this issue was introduced upstream in libpng-1.2.30beta04 and currently only affect 1.2.31 as available in Fedora Rawhide.  Versions of libpng as shipped in Red Hat Enterprise Linux 2.1, 3, 4 and 5 are not affected by this flaw.
Comment 3 Tomas Hoger 2008-09-10 03:33:01 EDT
Fixed now in Fedora Rawhide, no other affected product -> closing.

Note You need to log in before you can comment on or make changes to this bug.